vlax-curve-getparamatpoint


(vlax-curve-getparamatpoint curveEnt point)

This function returns the parameter value at point located on the curveEnt curve entity.

Arguments

curveEnt  (ename or vla-object) the COM object of any "curve" entity
point  (list x y [ z ]) 2d/3d point in WCS;  point on the curve

Return

double;  the parameter of the curve at the specified point (relative to the curve start point) or NIL

Example

last entity is a LINE<0,0,0> to <10,10,10> :
(setq ent (vlax-ename->vla-object (entlast)))  #<VLA-OBJECT IAcadLine 000000004E8E3928>
(vlax-curve-getparamatpoint ent '(5 5 5))  8.66025403784439

Remarks




©  Bricsys NV. All rights reserved.